Kind = "service-intentions"
Name = "loki[[ .consul.suffix ]]"
Sources = [
  {
    Name = "[[ (merge .monitoring.loki .monitoring .).traefik.instance ]]"
    Permissions = [
      {
        Action = "allow"
        HTTP {
          PathPrefix = "/"
        }
      }
    ]
  },
  {
    Name = "grafana[[ .consul.suffix ]]"
    Permissions = [
      {
        Action = "allow"
        HTTP {
          PathPrefix = "/loki/api/v1"
          Methods = ["GET", "HEAD", "POST"]
        }
      },
      {
        Action = "allow"
        HTTP {
          PathPrefix = "/ready"
          Methods = ["GET"]
        }
      }
    ]
  },
[[- range $idx, $service := coll.Slice "vector-aggregator" "vector-agent" ]]
  {
    Name = "[[ $service ]][[ $.consul.suffix ]]"
    Permissions = [
      {
        Action = "allow"
        HTTP {
          PathExact = "/loki/api/v1/push"
          Methods = ["POST"]
        }
      },
      {
        Action = "allow"
        HTTP {
          PathExact = "/ready"
          Methods = ["GET"]
        }
      }
    ]
  },
[[- end ]]
]
